Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x9
Class X9FieldID

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x9.X9FieldID

All Implemented Interfaces:
  DEREncodable, X9ObjectIdentifiers

    public class X9FieldID

extends ASN1Encodable
implements X9ObjectIdentifiers

ASN.1 def for Elliptic-Curve Field ID structure. See X9.62, for further details.

Field Summary

Fields inherited from interface org.bouncycastle.asn1.x9.X9ObjectIdentifiers
`ansi_X9_62, c2onb191v4, c2onb191v5, c2onb239v4, c2onb239v5, c2pnb163v1, c2pnb163v2, c2pnb163v3, c2pnb176w1, c2pnb208w1, c2pnb272w1, c2pnb368w1, c2png304v1, c2tnb191v1, c2tnb191v2, c2tnb191v3, c2tnb239v1, c2tnb239v2, c2tnb239v3, c2tnb359v1, c2tnb431r1, characteristic_two_field, cTwoCurve, dhpublicnumber, ecdsa_with_SHA1, ellipticCurve, gnBasis, id_dsa, id_dsa_with_sha1, id_ecPublicKey, id_ecSigType, id_fieldType, id_publicKeyType, ppBasis, prime_field, prime192v1, prime192v2, prime192v3, prime239v1, prime239v2, prime239v3, prime256v1, primeCurve, tpBasis`

Constructor Summary
`X9FieldID(ASN1Sequence seq)`
`X9FieldID(DERObjectIdentifier id, java.math.BigInteger primeP)`

Method Summary
`DERObjectIdentifier` | `getIdentifier()`
`DERObject` | `getParameters()`
`DERObject` | `toASN1Object()` Produce a DER encoding of the following structure.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X9FieldID

    public X9FieldID(DERObjectIdentifier id,
                     java.math.BigInteger primeP)

### X9FieldID

    public X9FieldID(ASN1Sequence seq)

Method Detail

### getIdentifier

    public DERObjectIdentifier getIdentifier()

### getParameters

    public DERObject getParameters()

### toASN1Object

    public DERObject toASN1Object()

  Produce a DER encoding of the following structure.

        FieldID ::= SEQUENCE {
            fieldType       FIELD-ID.&id({IOSet}),
            parameters      FIELD-ID.&Type({IOSet}{@fieldType})
        }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD